Delicious Digg Facebook Favorites More Stumbleupon Twitter

Vigil@nce – Noyau Linux : déni de service via ldsem_down_read

Ce bulletin a été rédigé par Vigil@nce : http://vigilance.fr/offre

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant local peut provoquer un blocage dans la fonction ldsem_down_read() du noyau Linux, afin de mener un déni de service.

Produits concernés : Linux

Gravité : 1/4

Date création : 26/05/2015

DESCRIPTION DE LA VULNÉRABILITÉ

Le fichier drivers/tty/tty_ldsem.c du noyau Linux implémente le verrouillage pour les terminaux (tty).

La fonction ldsem_down_read() est utilisée lors de l’arrêt du terminal. Cependant, la fonction ldsem_cmpxchg() utilise le mauvais compteur, donc un inter-verrouillage (deadlock) se produit.

Un attaquant local peut donc provoquer un blocage dans la fonction ldsem_down_read() du noyau Linux, afin de mener un déni de service.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

http://vigilance.fr/vulnerabilite/N…

Source:: Global Security Mag

Text Widget

Aliquam ut tellus ligula. Nam blandit massa nec neque rutrum a euismod t ellus ultricies! Phasellus nulla tellus, fringilla quis tristique ornare, condi mentum non erat. Aliquam congue or nare varius.